Subject: RE: webDAV - web authoring or flexible two-way web interface

From: "Connelly, Stuart" <[email-masked]>
Date: Tue, 6 Mar 2001 14:20:54 -0000

Thank you Lisa.

You are right in thinking that I need to make changes to the database only.
Data would be exchanged in the XML standard for geographic information
(OpenGIS GML).  The data is geometric so clients would need 2-D line editing
functionality in the browser, much like a mini CAD application.  Both
locking and access control are essential. At first glance it seemed that
webDAV would help here because of the webDAV LOCK / UNLOCK HTTP extensions
and access control protocols.

I could create a mapping between the database objects and URLs easily enough
at the server. But this imposes restrictions on client. Clients would need
to know the object IDs before locking - it is has to be specified as part of
the URL in the LOCK request. From the clients perspective a lock request
would be "lock all objects in this area" with the area specified and the
object IDS not. I guess I could get webDAV to work for my application but
I'm beginning to see that it's not the most appropriate technology.

Stuart